1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Install Problems with WRT54G V4

Discussion in 'DD-WRT Firmware' started by gummybear, Oct 11, 2005.

  1. gummybear

    gummybear Network Guru Member

    Linksys WRT54G V4
    DD-WRT 101005-2.dd-wrt.v23.std_beta1

    Can't seem to get this bugger installed.

    Been trying to install this file: dd-wrt.v23_wrt54g.bin

    I've got the Linksys firmware installed and I'm using the web interface to upgrade the firmware. I keep getting an error message saying the firmware upgrade failed.

    I then tried using the tftp.exe utility and it seemed to upload OK, but then the power light just kept blinking and nothing seemed to happen. I was still able to ping 192.168.1.1, however.

    I've gone back to the Linksys firmware, but it would be nice to get this going...

    Any suggestions?
     
  2. Toxic

    Toxic Administrator Staff Member

    what version of firmware do you have loaded at present?
     
  3. avax

    avax Network Guru Member

    brick the router
     
  4. zoyd

    zoyd Network Guru Member

    I was able to install 1010 standard and mini on a WRT54GSV4 after figuring out that you have to start with the stock linksys firmware. Maybe you are trying to install VOIP and it's too large. The V4's have only 4MB flash.
     
  5. gummybear

    gummybear Network Guru Member

    Well, now I have HyperWRT 2.1b1 Tofu installed because it was the only thing that I could get to work besides the Linksys firmware.

    The Linksys firmware that works is version 4.20.7

    I'm pretty sure I was trying to install the standard version of dd-wrt. I would still like to get this going as I don't think HyperWRT supports client mode.

    But I'm confused. Why would I need to have the Linksys firmware installed first?
     
  6. BrainSlayer

    BrainSlayer Network Guru Member

    you dont have to have the original linksys fw installed at all. it works maybe from hyperwrt too. just ensure that it is the right fw (i downsized the voip version and it works on my v4 router well)
    it works with generic and WRT54G binary normally
     
  7. RR001

    RR001 Network Guru Member

    Brainslayer,
    which binary should I use for my WRT54G v4 currently with 4.20.7 linksys firmware ? I have a VOIP phone so I guess I should use the voip version - but which v23 version should I use ?
    ( FYI : I have not been able to upgrade to dd-wrt so far - see other post - install failed )
     
  8. BrainSlayer

    BrainSlayer Network Guru Member

    try to use the voip_wrt54g firmware or generic.
    but these firmwares are made for upgrading from 4.20.6 or some other version. the problem is that the linksys fw always thinks that you want to downgrade. you can also use the WRT54G firmware for tftp flashing from a already bootet linksysfw. the std linksysfw does include a tftp daemon which allows also firmwares > 3mb
     
  9. Aq_lynch

    Aq_lynch Network Guru Member

    help

    :sadbye: I have the WRT54G Version 4 router I also have a vonage phone line, should i use the dd-wrt voip firmware or the generic or the WRT54G version. also what are the advantages of using the voip please reply. I don't want to brick my router. :eek: :shock: :cheerup:
     

Share This Page